¿Cómo deshacerse de todas las .serveridades. $$ en el directory HOME de OS X?

¿Cómo evitar get muchos files .serverauth.$$ en el directory HOME de OS X 10.8?

($$ es un número pid).

  • Aprobar este mac usando otro dispositivo
  • ¿Por qué mis aplicaciones de la tienda de repente comenzaron a salir con el código 173?
  • Cómo monitorear el sonido de salida desde la terminal
  • ¿Mi novia eliminó su disco USB?
  • ¿Cómo puedo cifrar mi VirtualBox VM?
  • Arrastrar y soltar: ¿Cómo evitar que las carpetas en mi Dock aparezcan como windows?
  • ¿Hay alguna manera de tener algo similar a Cygwin en Mac?
  • iPhone solicita la contraseña de Mac (o Mac solicita la contraseña de iOS)
  • ¿Cómo migrar mi aplicación Mac OS X y los datos de MacBook Pro a Mac Mini?
  • Mac se despierta random. Motivo de despertar: (Usuario)
  • ¡macOS no permite cambiar la secuencia de particiones desde la command-line!
  • Nuevo disco duro en un macbook pro de 13 pulgadas, la unidad de DVD no funciona, ¿qué hacer?
  • 2 Solutions collect form web for “¿Cómo deshacerse de todas las .serveridades. $$ en el directory HOME de OS X?”

    Puede evitar que se acumulen si siempre sale del server X11 correctamente. Eso significa desconectarse con gracia y cerrar con gracia. De ninguna manera siempre puedes hacer eso, así que todo lo que puedes hacer es eliminarlos de vez en cuando. Podría escribir una secuencia de commands para search y eliminar las que no están en uso y ejecutarlas manualmente o progtwigrlas para que se ejecuten rutinariamente a través de cron. A continuación hay un script de ejemplo:

     #!/bin/bash cd || { echo "Unable to cd to home." >&2 exit 1 } Candidates=$(echo .serverauth.*) if [ -z "$Candidates" ];then exit fi for Candidate in $Candidates ; do PID=${Candidate#.serverauth.} kill -0 $Candidate 2>&- if [ $? != 0 ];then # The PID is not currently active printf "Removing orphaned xserverauth file \"$Candidate\".\n"; rm $Candidate || { printf "Failed to remove file \"$Candidate\".\n" >&2. } fi done 

    En la Terminal:

     rm .serverauth.* 

    O bien, si desea eliminar de cada directory de inicio:

     sudo rm /Users/*/.serverauth.* 
    Loving Apple Products like poisoning (iPhone, iPad, iMac, Macbook, iWatch).